Bug 467769 - Strange facebox popup when clicking "Add Virtual Machine" as a user
Strange facebox popup when clicking "Add Virtual Machine" as a user
Status: CLOSED WONTFIX
Product: Virtualization Tools
Classification: Community
Component: ovirt-server-suite (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Scott Seago
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-20 15:56 EDT by Hugh Brock
Modified: 2011-06-21 13:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-21 13:18:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot of Add User results (76.94 KB, image/png)
2008-10-20 15:56 EDT, Hugh Brock
no flags Details

  None (edit)
Description Hugh Brock 2008-10-20 15:56:47 EDT
Created attachment 320908 [details]
screen shot of Add User results

Description of problem:
If I log in as a User and browse to a VM pool I have permission to see, and then click "Add Virtual Machine", I get a strange Facebox popup that has a chunk of the screen in it.

Version-Release number of selected component (if applicable):
0.94

How reproducible:
Always

Steps to Reproduce:
1. Create a VM Pool and add a user to User Access with role "User"
2. Log in as the low-privileged user
3. Click "Add Virtual Machine"
  
Actual results:
Strange facebox popup (screen shot attached)

Expected results:
Permission Denied message

Additional info:
Comment 1 Jia Dong 2009-01-21 02:33:52 EST
It also exists in version 0.96.
Comment 2 Scott Seago 2009-01-28 15:49:46 EST
The permissions error handling code wasn't accounting for popup windows. The checked in change makes popups handle error messages better, and the 'add virtual machine' link will be hidden for users that don't have permission to perform this action.

Note You need to log in before you can comment on or make changes to this bug.